MyBBDepo - Türkiyenin MyBB Deposu Forumuna Hoşgeldiniz
Eğer sitemize yaptığınız ilk ziyaretiniz ise, lütfen öncelikle Forum Kurallarını okuyunuz. Forumumuzda bilgi alışverişinde bulunabilmeniz için Kayıt olmalısınız. Üye olmayanlar forumumuzdan yararlanamazlar.
Eğer zaten kayıtlı kullanıcı iseniz, lütfen kullanıcı adınız ve şifreniz ile, Giriş yapınız. (Sitemize üyelik ücretsizdir).
xpserkan avatar
Konuyu Oyla:
  • Derecelendirme: 5/5 - 2 oy
  • 1
  • 2
  • 3
  • 4
  • 5

Derecelendirme: 5/5 - 2 oy

MyBB 1.6.12 - Güvenlik Güncelleme Paketi


Sponsor Reklam
media venus

Çevrimdışı xpserkan
 Tarih: 30-12-2013, Saat:23:43
(Son Düzenleme: 04-03-2014, Saat:20:50, Düzenleyen: S.G.)
#1
MyBB 1.6.12 - Güvenlik ve Bakım Güncellemesi - [Versiyon/Sürüm Yükseltme Paketi]

Bilgi-Kaynak Kısa Bilgi:

(30-12-2013, Saat:19:47)BlackCat Adlı Kullanıcıdan Alıntı: MyBB, 1.6.12 sürümünü resmi olarak çıkarttı.

2013'ün son resmi güncellemesi Bakım ve Güvenlik hatalarının düzeltilmesi ile oldu ve sürüm MyBB'nin resmi sitesinde yayınlandı.
Her geçen artan MyBB 1.8 heyecanı yine suya düşmüş olsa da yavaş yavaş yeni sürüme yaklaşılması umutları artırmakta. Biz ilk olarak çift haneli sürüm numarasını 1.6.10 olarak görmüştük. 1.6.12 ile çift haneli sürümlere devam ediyoruz.

Genel olarak XSS ve ACP açıkları kapatılmış durumda. BBKod, akismet, smiley gibi kategorilerde hatalara rastlanmış ve önlemler alınmış.

Edit: XpSerkan,
Bu güncelleme; 4 güvenlik açığı ve 10 rapor edilen hata düzeltmesi içermektedir. Herhangi bir tema şablonu değişikliği söz konusu değildir ve sadece 2 dil dosyası yenilenmiştir. Ayrıca bu sürümle beraber 4 baytlık UTF-8 desteğide kullanıma sunulmuştur. 4 baytlık UTF-8 desteği MySQL sürümü 5.5.3 ya da daha üstü gerektirmektedir.
4baytlık UTF-8 desteğini eğer MYSQL sürümünüz 5.5.3 veya daha üstü ise;
./inc/config.php dosyasındaki şu satırı bulup;
PHP Kod:
$config['database']['encoding'] = 'utf8'

Şu şekilde değiştirmeniz yeterlidir.
PHP Kod:
$config['database']['encoding'] = 'utf8mb4'


Dikkat-Uyarı-Kural Uyarı: MYSQL sürümünüz 5.5.3 veya daha üstü ise bu özelliği üsteki şekilde düzenleme yaparak kullanabilirsiniz, ancak yedek alıp başka bir sunucuya taşındığınızda eğer oradaki MYSQL sürümü 5.5.3'den aşağı ise, o zaman veritabanı yedeği almanız mümkün değil! Alsanız dahi hata verip çalışmayacaktır bilginize..

Bu arada hatırlatalım; Bu günceleme paketi ile şu anki sürümü 1.6.10 olan forum sahipleride, forumlarını 1.6.12 sürümüne yükseltebilirler.

Web Site Link Kaynak: Değişen dosyalar, yeni özellikler ve ayrıntılı bilgi için aşağıdaki adresi ziyaret edebilirsiniz.
Kod:
http://blog.mybb.com/2013/12/16/mybb-1-6-12-released-security-maintenance-release/

MyBB 1.6.12 Güncellemesi Nasıl Yapılır?
Onay-Cevap Aşama 1: Öncelikle ilk yapmanız gereken sitenizin full yedeklerini almanızdır. FTP + Veritabanı yedekleri..

Onay-Cevap Aşama 2: Yedekleri aldıktan sonra , indirmiş olduğunuz günceleme paketinden, FTP-Upload klasörünün içindeki dosyaları komple forumun kurulu olduğu ana dizine yükleyin. Değiştirilsin mi sorusuna evet diyorsunuz ve işlem bitiyor. Bu sürümde install/upgrade.php gereksinimi yok, zaten paket içinede ./install klasörü dahil edilmemiş gerek görmedikleri için.

Bilgi-Kaynak Önemli Hatırlatma: Eğer ./admin klasörün adını güvenlik gereği değiştirmiş iseniz, lütfen güncelleme yapmadan eski hallerine çeviriniz. Aksi halde güncelleme işlemi yapamaz ve hata ile karşılaşırsınız..!

Onay-Cevap Aşama 5: Bu sürümde, (/inc/functions.php) dosyası değiştiği için, google seo eklentisi Dahili url link - Internal link kullanıyorsanız eğer, devre dışı kalıp, aşağıdaki resimde göstermiş olduğum kısım orjinale dönecektir. Yapmanız gereken resimde yazmaktadır.

resim

Onay-Cevap Aşama 6: Son olarak eğer daha önce yapmış olduğunuz özel .php düzenlemeleri vs. varsa tekrar yapmanız gerekecektir. İndirmiş olduğunuz paket içeriğinde değişen dosyaları kontrol ederek, düzenlediğiniz dosyaların bu paket içinde olup olmadığını inceleyiniz ve ona göre işlemlerinizi yapınız.

Dikkat!

Not: Bu anlatım Pro Paket Kullanıcıları ve Pro Paket sistemine geçmek isteyenler için değildir..!
Pro Paket sistemi için gerekli geçiş ve güncelleme konuları ayrı olarak anlatılacaktır..



Dosya Hash'leriDosya: MyBB_1612_Güncelleme_Paketi_TR.rar
CRC-32: e0da53f8
MD4: 79500c2c69067383ae4c0e379d6092d3
MD5: c11a0c096d07d9602ccb977ee63e43f2
SHA-1: a92618acffae520c5f99beb9133a27b909fc6106


Wrench Rar Şifresi: mybb.com.tr
Alıntı Kaynak: MyBB.Com.TR


Ek Dosyalar
.rar   MyBB_1612_Güncelleme_Paketi_TR.rar (Dosya Boyutu: 277.57 KB / İndirme Sayısı: 307)
Cevapla
Sponsor Reklam
sponsor reklam sponsor reklam

İzinli Screwy
 Tarih: 30-12-2013, Saat:23:46
#2
Eline koluna sağlık abi. Gülümseme

Arkadaşlar konuyu okumadan kurulum veya güncelleme yapmanızı kesinlikle tavsiye etmiyorum... Bu sürümde bir çok güncelleme gelmiştir. Okumanız sizin yararınıza olur.
Cevapla
Bunu Beğenenler:

Çevrimdışı Huracine
 Tarih: 30-12-2013, Saat:23:47
#3
Elinize emeğinize sağlık, düzenli ve özenli bir konu olmuş.Gülümseme
Cevapla
Bunu Beğenenler:

Çevrimdışı mecdunov
 Tarih: 30-12-2013, Saat:23:51
#4
Hayirli olsun hocam
Cevapla
Bunu Beğenenler:

Çevrimdışı Edward
 Tarih: 30-12-2013, Saat:23:52
#5
XpSerkan Farkı.. Emeğinize Sağlık
Cevapla
Bunu Beğenenler:

Çevrimdışı Machine
 Tarih: 31-12-2013, Saat:00:15
#6
Merhabalar,

Sitemi güncelledim ve şuan hiçbir sıkıntı yok birkaç tane sorun dışında benim anlamadığı şu kısım oldu 4 baytlık UTF-8 desteğide kullanıma sunulmuştur.

Bunu uygulamak zorunda mıyız ? mysql sürümüm 5.2.1 'de bunu uygulamasak sorun oluşur mu ? veya güncelleme eksik kalmış olur mu ? açıkcası gerekli birşey midir ? biraz açarsan serkan abi çok daha iyi olacak Gülümseme
Cevapla
Bunu Beğenenler:

Çevrimdışı xpserkan
 Tarih: 31-12-2013, Saat:00:23
#7
(31-12-2013, Saat:00:15)Machine Adlı Kullanıcıdan Alıntı: Merhabalar,

Sitemi güncelledim ve şuan hiçbir sıkıntı yok birkaç tane sorun dışında benim anlamadığı şu kısım oldu 4 baytlık UTF-8 desteğide kullanıma sunulmuştur.

Bunu uygulamak zorunda mıyız ? mysql sürümüm 5.2.1 'de bunu uygulamasak sorun oluşur mu ? veya güncelleme eksik kalmış olur mu ? açıkcası gerekli birşey midir ? biraz açarsan serkan abi çok daha iyi olacak Gülümseme

Merhaba hocam,
Şimdilik ciddi ve tehlikeli bir durum söz konusu değil ancak, her zaman güncel sürümlerin kullanılması taraftarıyım. İlerde 1.8 sürümü çıktığı zaman sorun yaşama olasılığı söz konu. Zaten bu özelliğide 1.8 sürümünün alt yapısını oluşturmak ve güncel mysql sürümlerinin kullanılması için ilave etmişler.
Şu an için aynı şekilde devam edebilirsiniz fakat, dediğim gibi ilerde yedek alma ve geri yükleme işlemleri sırasında sorunlar patlak verebilir.
Cevapla
Bunu Beğenenler: S.G , Machine

Çevrimdışı YaPRaQQ
 Tarih: 31-12-2013, Saat:09:32
(Son Düzenleme: 31-12-2013, Saat:09:38, Düzenleyen: YaPRaQQ.)
#8
(31-12-2013, Saat:00:15)Machine Adlı Kullanıcıdan Alıntı: Merhabalar,

Sitemi güncelledim ve şuan hiçbir sıkıntı yok birkaç tane sorun dışında benim anlamadığı şu kısım oldu 4 baytlık UTF-8 desteğide kullanıma sunulmuştur.

Bunu uygulamak zorunda mıyız ? mysql sürümüm 5.2.1 'de bunu uygulamasak sorun oluşur mu ? veya güncelleme eksik kalmış olur mu ? açıkcası gerekli birşey midir ? biraz açarsan serkan abi çok daha iyi olacak Gülümseme

Öncelikle xpserkana yeni sürüm için teşekkürler..

Sorunuza gelecek olursak 4 baytlık utf 8 desteği 4 baytlık karakterlerde hata oluşmaması için verilmekte.. örneğin standart ascii karakterleri 1 bayt iken bunun dışındaki karakterler daha büyük boyutta olabilmekte örneğin japon veya çin harfleri.. Bazı ekstra durumlarda da 4 baytlık karakter depolama alanı olması daha iyidir.. yani utf8mb4 utf-8 den daha geniş bir karakter setidir.. orjinal utf-8 maks 3 baytlık karakter depolayabilirken utf8mb4 4 bayt depolayabilir bu yüzden mysql 5.5 sürümlerinden daha aşağısına donmeniz gerekirse veri kaybı olur.. şu an için de dünya üzerinde hala birçok firma sql 5.5 ten düşük sürümler kullandığından karakter setini utf8mb4 yapmak gereksiz diyorum..
Cevapla
Bunu Beğenenler: xpserkan

 


Konu ile Alakalı Benzer Konular
Konular Yazar Yorumlar Okunma Son Yorum
Güvenlik [MCTR - 1.6] MyBB 1.6.16 - Güvenlik & Güncelleme Paketi xpserkan 3 2,760 06-07-2015, Saat:14:59
Son Yorum: Mehmethan12
  [MCTR] Forumu MyBB 1.6.5 Sürümüne Yükseltme İşlemleri 007combatant 1 2,232 22-08-2014, Saat:16:49
Son Yorum: __Smile__
Onay [MCTR] MyBB 1614 - Pro-v12 Güncelleme Paketi xpserkan 10 2,654 20-08-2014, Saat:23:01
Son Yorum: 1st4n6uL
Güvenlik [MCTR] MyBB 1.6.15 - Güvenlik Güncelleme Paketi S.G 1 1,164 12-08-2014, Saat:12:33
Son Yorum: Manager
Güvenlik [MCTR] MyBB 1.6.14 - Güvenlik Güncelleme Paketi xpserkan 5 1,810 08-07-2014, Saat:19:17
Son Yorum: xpserkan



Konuyu Okuyanlar: 1 Ziyaretçi